This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 8905 - upgrade error in todo.py
upgrade error in todo.py
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-26 12:00 EST by kimbrell_roy
Modified: 2015-01-07 18:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-18 14:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kimbrell_roy 2000-01-26 12:00:31 EST
Similar to bug #s 5524, 5771, 5789, 6558, 7064?, 7904?, and 5809 but error
occurred in diferent place in todo.py

Attempted upgrade from 6.0 to 6.1 using a downloaded boot floppy
(boot-RHEA-1999:044.img) and a RedHat 6.1 CDROM on a Dell OptiPlex GX1p w/
2 SCSI drives.  Upgrade failed at or near the end of the preparation for
installation--just after it had determined the number of packages to
install.  The failure occurred whether or not I customized the package
list.  Using the same floppy and CDROM, I successfully upgraded a Dell
OptiPlex GX1p with an IDE drive (from 6.0 to 6.1) and a Micron laptop (from
6.1 to 6.1--yes this was just a test).  However, I noted that the package
list for these machines was different.  Booting using "Text," I got the
following traceback (consistently during several attempts--note: this is
hand-copied so errors may occur):

Traceback (innermost last)

File "/usr/anaconda" line 227 in ? intf.run(todo, test=test)

File "/usr/lib/python1.5/stie-packages/text.py", line 1009, in run
rc=apply(step[1](), step[2])

File "/usr/lib/phyton/1.5/site-packages/text.py", line 572, in __call__ if
tod, toInstall(c):

File "/usr/lib/python1.5/site-packages/todo.py", line 1547, in doInstall
prob="%-15s %d %c\n" % (mount, need, suffix)

Type error:  illegal argument type for build-in operation
Comment 1 Erik Troan 2000-02-18 14:49:59 EST
Fixed for next release.

Note You need to log in before you can comment on or make changes to this bug.